Bug 246920 - Initscript Review for ez-ipupdate
Summary: Initscript Review for ez-ipupdate
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ez-ipupdate   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeff Layton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: InitscriptStatus
TreeView+ depends on / blocked
 
Reported: 2007-07-05 13:50 UTC by Harald Hoyer
Modified: 2014-06-18 07:36 UTC (History)
1 user (show)

Fixed In Version: 3.0.11-0.15.b8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-15 11:32:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Hoyer 2007-07-05 13:50:02 UTC
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.

Comment 1 Jeff Layton 2007-07-11 01:14:02 UTC
Hmm, this is trickier than it looks at first glance. Given that the init script
can start multiple daemons, I suppose we need to error out when any one of them
fails. I'm also not sure that we handle the situation correctly when start is
run on an already running daemon, etc.



Comment 2 Jeff Layton 2007-07-15 11:32:20 UTC
Changes committed in version 3.0.11-0.15.b8


Note You need to log in before you can comment on or make changes to this bug.